Page MenuHomePhabricator

[docs] Document LLVM_{BUILD,LINK}_LLVM_DYLIB
ClosedPublic

Authored by axw on Jan 14 2016, 5:34 PM.

Details

Summary

Document the LLVM_BUILD_LLVM_DYLIB and LLVM_LINK_LLVM_DYLIB
CMake options, move BUILD_SHARED_LIBS out of frequently-used,
and add a note/warning to BUILD_SHARED_LIBS.

Diff Detail

Event Timeline

axw updated this revision to Diff 44952.Jan 14 2016, 5:34 PM
axw retitled this revision from to [docs] Document LLVM_{BUILD,LINK}_LLVM_DYLIB.
axw updated this object.
axw added reviewers: beanz, delcypher.
axw added a subscriber: llvm-commits.
mjacob accepted this revision.Jan 14 2016, 7:34 PM
mjacob added a reviewer: mjacob.
mjacob added a subscriber: mjacob.

LGTM.

This revision is now accepted and ready to land.Jan 14 2016, 7:34 PM
axw closed this revision.Jan 14 2016, 7:37 PM
delcypher edited edge metadata.Jan 15 2016, 6:07 AM

Looks like this got merged before I was able to comment on this.

docs/CMake.rst
443

I would consider expanding a little

If enabled, the target for building the libLLVM shared library is added.
This library contains all of LLVM's components in a single shared library. 
Defaults to OFF. This cannot be used in conjunction with BUILD_SHARED_LIBS=ON.
Tools will only be linked to the libLLVM shared library if LLVM_LINK_LLVM_DYLIB is also ON.
The components in the library can be customised by setting LLVM_DYLIB_COMPONENTS
to a list of the desired components.
454

I would consider rewording to

Flag indicating if each LLVM component (e.g. Support) is built as a shared library (ON) or as a static
library (OFF). Its default value is OFF. On Windows, shared libraries may
be used when building with MinGW, including mingw-w64, but not when
building with the Microsoft toolchain.
axw added a comment.Jan 15 2016, 5:35 PM

Looks like this got merged before I was able to comment on this.

Sorry, I probably should have left it open a bit longer. Your suggestions read well, I'll commit them early next week.

axw added a comment.Jan 18 2016, 9:47 PM
In D16208#328470, @axw wrote:

Looks like this got merged before I was able to comment on this.

Sorry, I probably should have left it open a bit longer. Your suggestions read well, I'll commit them early next week.

Done in r258112